//---------------------------------------------------------------------------

#ifndef AllFram_H
#define AllFram_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "VidGrab.hpp"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TImage *Image1;
        TButton *Button1;
        TButton *Button2;
        TEdit *Edit1;
        TVideoGrabber *VideoGrabber1;
        TComboBox *ComboBox1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall VideoGrabber1FrameCaptureCompleted(TObject *Sender,
          Pointer MemoryBitmap, TFrameCaptureDest DestType,
          AnsiString FileName, bool Success);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall VideoGrabber1ChangeVideoDevice(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall VideoGrabber1DeviceArrival(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
